Get events by block number

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Returns

FieldTypeDescription
data[i].block_numberIntegerThe block number
data[i].block_timestampLongThe block timestamp. (Unit: millisecond).
data[i].caller_contract_addressStringSame as data.[0].contract_address for backward compatibility.
data[i].contract_addressStringThe address of the contract that emitted the event.
data[i].event_indexStringThe event's index within the transaction's event log.
data[i].event_nameStringThe event name
data[i].eventStringThe event signature used to parse indexed and non-indexed parameters. (e.g., Transfer(address,address,uint256))
data[i].transaction_idStringTransaction hash.
data[i].resultmap<string, string>The event's parameters, including both indexed and non-indexed parameters.
data[i].result_typemap<string, string>The type of parameter
data[i]._unconfirmedBooleanWhether the transaction is unconfirmed. true means unconfirmed.
successBooleanWhether the request was successful.
meta.page_sizeIntegerThe number of items returned on the current page.
meta.atLongThe response timestamp. (Unit: millisecond).
meta.fingerprintStringThe fingerprint for paginating to the next page.
meta.links.nextStringThe URL for the next page of results.
Path Params
int32
required

The block number to query events for.
Example: 61840405

Query Params
boolean

Set to true to return only confirmed events; set to false to return both confirmed and unconfirmed events. Cannot be used simultaneously with only_unconfirmed.

int32

The maximum number of events to return per page. (Default: 20, max:200)

string

The fingerprint for pagination, obtained from the meta.fingerprint field of a previous response. Note: When using fingerprint, all other parameters must remain the same.

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json